<?php
namespace dxkite\confession\wall\table;

/**
 * 表白帖附带图片
 */
class ImageTable extends \suda\archive\Table
{
    public function __construct()
    {
        parent::__construct('confession_image');
    }
    
    public function onBuildCreator($table)
    {
        return $table->fields(
            $table->field('id', 'bigint', 20)->primary()->unsigned()->auto(),
            $table->field('target', 'bigint', 20)->unsigned()->comment('目标内容'),
            $table->field('image', 'bigint', 20)->unsigned()->comment('图片ID'),
            $table->field('hash', 'varchar', 32)->comment('图片Hash'),
            $table->field('time', 'int', 11)->key()->unsigned()->comment('添加时间')
        );
    }
}
