<?php
namespace dxkite\confession\wall\response;

use dxkite\support\visitor\response\VisitorResponse;
use dxkite\support\visitor\Context;
use dxkite\confession\wall\controller\ConfessionController;

class PostResponse extends VisitorResponse
{
    public function onUserVisit(Context $context)
    {
        $view = $this->view('post');
        if (request()->hasPost()) {
            $controller = new ConfessionController;
            $title = request()->post('title');
            $context =  request()->post('content');
            $anonymous = request()->post('anonymous',false) == true ?true:false;
            if ($title && $context) {
                $id = $controller->add($title,$context,$anonymous);
            }
        }
        $view->render();
    }
}
